StarObjectSmallGraphicInternal::SdrGraphicEdge Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SdrGraphicEdge Class Reference

Internal: virtual class to store a Sdr graphic edge. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicEdge:

## Classes
struct | Information
| the information record More...

## Public Member Functions
| SdrGraphicEdge ()
| constructor More...
virtual std::string | print () const
| basic print function More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicText
| SdrGraphicText (int id)
| constructor More...
void | updateTransformProperties (librevenge::RVNGPropertyList &list) const
| try to update the transformation More...
bool | sendTextZone (STOFFListenerPtr listener, StarObject &object)
| try to send the text zone to the listener More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
| SdrGraphicAttribute (int id)
| constructor More...
void | updateStyle (STOFFGraphicStyle &style, StarObject &object, STOFFListenerPtr listener) const
| try to update the style More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor More...
std::string | getName () const
| return the object name More...
void | updateStyle (STOFFGraphicStyle &style, StarObject &, STOFFListenerPtr) const
| try to update the style More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...
virtual bool | send (STOFFListenerPtr, StarObject &)
| try to send the graphic to the listener More...

## Public Attributes
std::vector< STOFFVec2i > | m_edgePolygon
| the edge polygon More...
std::vector< int > | m_edgePolygonFlags
| the edge polygon flags More...
shared_ptr< StarItem > | m_edgeItem
| the edge attributes More...
Information | m_info
| the information record More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicText
int | m_textKind
| the text kind More...
STOFFBox2i | m_textRectangle
| the text rectangle More...
int | m_textDrehWink
| the dreh wink: rotation? More...
int | m_textShearWink
| the shear wink More...
shared_ptr< OutlinerParaObject > | m_outlinerParaObject
| the outliner object More...
STOFFBox2i | m_textBound
| the text bound More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
std::vector< shared_ptr< StarItem > > | m_itemList
| the list of star item More...
librevenge::RVNGString | m_sheetStyle
| the sheet style name More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox More...
int | m_layerId
| the layer id More...
STOFFVec2i | m_anchorPosition
| the anchor position More...
std::vector< GluePoint > | m_polygon
| a polygon More...
bool | m_flags [6]
| a list of flag More...
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphicEdge const &graph)
| print object data More...

## Detailed Description

Internal: virtual class to store a Sdr graphic edge.

## Constructor & Destructor Documentation

StarObjectSmallGraphicInternal::SdrGraphicEdge::SdrGraphicEdge | ( |  | ) |
| inline

constructor

## Member Function Documentation

virtual std::string StarObjectSmallGraphicInternal::SdrGraphicEdge::print | ( |  | ) | const
| inlinevirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphicText.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | SdrGraphicEdge const & | graph
| ) |  |
| friend

print object data

## Member Data Documentation

shared_ptr<StarItem> StarObjectSmallGraphicInternal::SdrGraphicEdge::m_edgeItem

the edge attributes

std::vector<STOFFVec2i> StarObjectSmallGraphicInternal::SdrGraphicEdge::m_edgePolygon

the edge polygon

Referenced by StarObjectSmallGraphic::readSVDRObjectEdge().

std::vector<int> StarObjectSmallGraphicInternal::SdrGraphicEdge::m_edgePolygonFlags

the edge polygon flags

Referenced by StarObjectSmallGraphic::readSVDRObjectEdge().

Information StarObjectSmallGraphicInternal::SdrGraphicEdge::m_info

the information record

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx